## org.hibernate.sql
Class Template.NoOpColumnMapper

    java.lang.Object
      org.hibernate.sql.Template.NoOpColumnMapper

All Implemented Interfaces:
  ColumnMapper

Enclosing class:
  Template

    public static class Template.NoOpColumnMapper

extends Object
implements ColumnMapper

Field Summary
`static Template.NoOpColumnMapper` `INSTANCE`

Constructor Summary
`Template.NoOpColumnMapper()`

Method Summary
`String[]` `map(String reference)` Resolve the property reference to its underlying columns.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final Template.NoOpColumnMapper INSTANCE

Constructor Detail

### Template.NoOpColumnMapper

    public Template.NoOpColumnMapper()

Method Detail

### map

    public String[] map(String reference)

  Description copied from interface: `ColumnMapper`
  Resolve the property reference to its underlying columns.

  Specified by:
    `map` in interface `ColumnMapper`
  Parameters:
    `reference` - The property reference name.
  Returns:
    The underlying columns, or null if the property reference is unknown.

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.